Portal    Foro    Buscar    FAQ    Registrarse    Conectarse


Publicar nuevo tema  Responder al tema 
Página 1 de 2
Ir a la página 1, 2  Siguiente
 
Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy
Autor Mensaje
Responder citando   Descargar mensaje  
Mensaje Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Hola compañeros tengo el debian squeeze canaima 3.1 y me va bien con los repositorios:

deb http://ppa.launchpad.net/nemh/gambas3/ubuntu lucid main
deb-src http://ppa.launchpad.net/nemh/gambas3/ubuntu lucid main

Son los unicos que me han funcionado para canaima 3.1 pero probando el canaima 4.0 (wheezy) intente utilizar estos repositorios y no me permite utilizarlos existira algunos nuevos que se puedan usar? o todavia no hay nada.

Gracias.
 



 
jousseph - Ver perfil del usuarioEnviar mensaje privadoVer la galería personal del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
hola jousseph...

Mira..  en Debian 7 -wheezy- y sus repos esta gambas 3.1 y en los backports no esta actualizado. Meter otros repos compromete la salud del sistema, su equilibro. te quedaria compilar la ultima version o instalarte Debian Sid como es mi caso, en el que estoy usando gambas 3.5.2 (estudiandolo en realidad). Aunque se muy poco me parece que no tendrias mayores problemas en quedarte con esa version -la 3.1- para trabajar y aprender alli.
 Proba compilar a ver que pasa y que dependencias te pide.. lo descargas desde el sitio oficial de gambas http://gambas.sourceforge.net/en/main.html
 Saludos desde el sur.
 



 
última edición por alunado el Miercoles, 12 Marzo 2014, 08:58; editado 2 veces 
alunado - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Hola jousseph.

Te comento que yo utilizo Debian Wheezy y tengo gambas 3.5.2 funcionando.

Lo compile desde las fuentes, me faltaron algunas dependencias que no fueron de mucho problema, no recuerdo cuales son pero entre los mensajes de la compilación y Google, las fui descubriendo. solamente 4 componentes dieron problemas de dependencia. La mas conflictiva fue gstreamer.1.0 que tuve que bajar y compilar completo pero por lo demás funciona bien.

lo descargue des sitio oficial (el Enlace que te sugirió Alunado)

Eso si, hubo dos componentes que no compilaron (no me hice mucho problema tampoco)

1. gb.jit
2. gb.gmp

Ni siquiera se para que son, algún día veré como los compilo.
 



 
whisper - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Citar:
Te comento que yo utilizo Debian Wheezy y tengo gambas 3.5.2 funcionando.

Lo compile desde las fuentes, me faltaron algunas dependencias que no fueron de mucho problema, no recuerdo cuales son pero entre los mensajes de la compilación y Google, las fui descubriendo. solamente 4 componentes dieron problemas de dependencia. La mas conflictiva fue gstreamer.1.0 que tuve que bajar y compilar completo pero por lo demás funciona bien.

lo descargue des sitio oficial (el Enlace que te sugirió Alunado)

Eso si, hubo dos componentes que no compilaron (no me hice mucho problema tampoco)

1. gb.jit
2. gb.gmp

Ni siquiera se para que son, algún día veré como los compilo.


Señor whisper

Hacer rato vi un post suyo sobre un problema con sqlite y me llamo la atencion su tema yo estuve probando repositorios y no me dejo el debian Wheezy! cuenteme como hizo ud para configurar su Debian Wheezy es que yo tengo sistemas hechos en version 3.5 en adelante y no puedo usarlos en gambas 3.4 ni nada por el estilo, le agradezco su experiancia y gracias.

 



 
jousseph - Ver perfil del usuarioEnviar mensaje privadoVer la galería personal del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
jousseph:

Citar:
yo tengo sistemas hechos en version 3.5 en adelante y no puedo usarlos en gambas 3.4 ni nada por el estilo,

Lo que yo hago es coger el proyecto (su codigo fuente) y aunque este hecho con gambas3.5, lo abro con el ide de  gambas3.4. Lo vuelvo a compilar, y creo el ejecutable o el paquete .deb, y ya se pueden instalar en los sistemas que tenga gambas3.4.

Saludos
 




===================
Blog personal
Web: SoloGambas seleccion de articulos dedicados a Gambas
Visita el Curso de Gambas3 ¡¡¡Gratuito!!!
 
jsbsan - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Hola nuevamente jousseph

Como decía mi post anterior y como te dijo Alunado, tenes que bajar las fuentes desde la pagina oficial. (el link esta en los post anteriores).

Después de descomprimie el archivos te creará una carpeta llamada "gambas3-3.5.2". ingresas en esa carpeta y ejecutas:

$ ./reconf-all


Después.

$ ./configure -C
 


Después de ejecutar este comando te va a decir cuales de los componentes no se podrán compilar. Ese mismo comando te dice porque, es deci cuales dependencias no están satisfechas. La información de pantalla es tanta que seguramente no vas a poder ver todo, pero sabiendo cuales son los componentes que no se configuraron, una forma práctica de saber es ejecutar

$ ./configure -C
 


 dentro de la carpeta de ese componente, te dará el mimo error pero prdrás ver porqué. en mi caso:

||
|| gb.jit is disabled
||
 

y el motivo
checking for LLVM - version >= 3.1... no
configure: WARNING: gb.jit is disabled


Todo es cuestion sa instalar esas dependencias y repetir el proceso hasta que no de errores.

Despues que no dió errores, ejecutar:

$ make
$ sudo make install
 


En la pagina oficial del proyecto, a la izquierda hay un menu azul con una opción que dice:  "Compilation & Installation" alli te esplica esto mismo (en inglés) pero además te da una lista de requerimientos y de paquetes a instalar para poder compilar (Step 4. Install these packages : ). El link es este

Espero que te sirva y no haberme equivocado para no confundirte, (seguro igual hay alguien en el foro que puede corregirme)

En Abrazo.
 



 
whisper - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Señor whisper ese metodo yo lo hacia antes de usar repositorios pero cambie ese metodo por 2 razones:

1-Que la instalacion es demasiado tediosa y que cuando llegan actualizaciones no las agarra por ser un tar.bz y no un repositorio

2- Que al tenerlo instalado y todo listo para usar cuando intentas crear un paquete de instalacion para las distros o para ti mismo el instalador sea de ubuntu o debian no te lo deja instalar porque dice que te faltan dependencias y que el programa no es confiable lo cual la solucion es crearle al usuario un ejecutable con el proyecto abierto lo cual no me parecio seguro.

Ese metodo lo salva a uno en aprietos pero me preocupa es al crear un paquete de instalacion que no te lo permite.

Por eso me parece mejor los repositorios, de todas maneras gracias por la informacion, saludos compañeros
 



 
jousseph - Ver perfil del usuarioEnviar mensaje privadoVer la galería personal del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
chequeate esto... compilar con "checkinstall" permite luego remover lo instalado desde la compilacion.. --> https://wiki.debian.org/CheckInstall y luego compilas tranquilamente el nuevo software. Actualizas "muy manualmente" jeje.
(te deje la info oficial que esta en ingles, pero debes encontrar mas info facilmente en español)

Esta bueno combinarlo con "cmake".. pero jamas lo utilize. (anda volviendote un maestro de la compilacion !! jeje)

 Esto ya resuelve tu problema aunque estes en wheezy, y tambien queda la opcion para actualizar de compilar el nuevo programa "gambas" sin remover el otro, lo que haria que pise lo anterior. No suelo compilahttps://wiki.debian.org/Backportsr y no puedo decirte que este metodo es "prolijo", pero es valido.
 



 
última edición por alunado el Jueves, 13 Marzo 2014, 00:42; editado 1 vez 
alunado - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Creo que esto es lo que se pide aquí:

http://gambaswiki.org/wiki/install/debian#t15

Saludos
 



 
shordi - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Habra Algun Repositorio De Gambas 3.5 Para El Debian Wheezy 
 
Muy buena guía la que proponen el wiki oficial. Menos mal que en jessie ya está la 3.5.2, pero con las políticas tan rígidas y lentas de Debian, puede que dentro de unos meses volvamos a estar anticuados.

Creo que esto responde perfectamente a la pregunta de jousseph.

Saludos
 




===================
Jesús Guardón

Por favor, usemos el corrector ortográfico antes de pulsar el botón "Enviar".

"uo ǝs ʇɐu pıɟıɔıן ɐdɹǝupǝɹ ɐ dɹoƃɹɐɯɐɹ, soןo ɥɐʎ bnǝ dɹodouǝɹsǝןo"
 
jguardon - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Mostrar mensajes anteriores:    
 
Ocultar¡Este tema fue útil?

 

Elegir valoración:                       

Media de valoración Valoración mínima Valoración máxima Número de valoraciones
0.00 0 0 0
 
OcultarTemas parecidos
Tema Autor Foro Respuestas último mensaje
No hay nuevos mensajes Problema Para Compilar Gambas3 En Debian W... willicab Instalación 8 Viernes, 20 Julio 2012, 01:32 Ver último mensaje
willicab
No hay nuevos mensajes Repositorio De Gambas3 Para Debian Sequeeze sebikul Instalación 1 Lunes, 26 Noviembre 2012, 09:46 Ver último mensaje
Shell
No hay nuevos mensajes Compilar Gb.media En Debian Wheezy Shell Controles/Librerías/Componentes 1 Domingo, 14 Octobre 2012, 10:32 Ver último mensaje
Shell
No hay nuevos mensajes Gambas3.5.4 En El Repositorio Sid De Debian jsbsan Instalación 1 Martes, 29 Julio 2014, 04:07 Ver último mensaje
jousseph
 

Publicar nuevo tema  Responder al tema  Página 1 de 2
Ir a la página 1, 2  Siguiente

Usuarios navegando en este tema: 0 registrados, 0 ocultos y 1 invitado
Usuarios registrados conectados: Ninguno


 
Lista de permisos
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
No puede descargar archivos
No puede publicar eventos en el calendario



  

 

cron